
use master 
go 

drop database SegElimTest 
go 

create database SegElimTest 
go 

use SegElimTest 
go 

create partition function pf(int) as range left for values (100, 200) 
go 

create partition scheme ps as partition pf all to ([primary]) 
go 

create table t1(a int) on ps(a) 
go 

insert into t1 values(50) 
insert into t1 values (150) 
insert into t1 values(250) 
go 

create columnstore index i1 on t1(a) 
go 

select * from sys.column_store_segments;
go

-- Turn on text output that shows when segments (row groups) are eliminated.
/* Not necessary for XEvent
 dbcc traceon(646, -1) 
go 

-- Direct trace flag text output to the SQL Server error log file.
 dbcc traceon(3605, -1) 
go 

dbcc tracestatus 
go 
*/

select * from t1 where a < 140 
go 

/* 
--The query above causes this output to be displayed in the error log:
--Xact (xactid=389339632) skipped row group (dbid=7 rowsetid=72057594039304192 rowgroupid=0)
 
dbcc traceoff(646, -1) 
go 

-- Direct trace flag text output to the SQL Server error log file.
 dbcc traceoff(3605, -1) 
go
*/ 