
drop table nums
go
create table nums
(
IntCol Char(10)
)
go

insert into nums(IntCol)
Select top(10) row_number() over(order by (select null)) from sys.columns

--Notice that the IntCol column is defined as a char(10) type.  If i now execute the following query 
 
select * from nums where IntCol = 8
 
--In the execution plan viewer, I will see this
 
--There is a Yellow Exclamation Mark warning on the query it self and the warning is that the type conversion may affect CardinalityEstimate.  Its pretty obvious now what our potential problem is.
--Additionally, if an index is created:
 
create index Idx1 on nums(IntCol)
